@import url('https://fonts.googleapis.com/css2?family=Brawler&display=swap');

.label {
  display: block;
  color: $color-medium;
  font-family: $font-family-regular;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 137.5%;
  letter-spacing: 0.8px;
}

.wrapper {
  position: relative;
}

.inputDefault {
  font-family: $font-family-italic;
  color: black;
  width: 100%;
  padding: 15px 16px;
  border-radius: 10px;
  border: 1px solid $color-light-2;
  box-sizing: border-box;
  cursor: pointer;
  transition: 300ms ease-in-out;
  &::placeholder {
    color: $color-light-2;
  }
  &:hover {
    border-color: $color-light-3;
  }
  &:focus {
    border-color: $color-medium;
  }
}

.inputError {
  border-color: $color-accent-3;
  &:hover {
    border-color: $color-accent-3;
  }
  &:focus {
    border-color: $color-accent-3;
  }
}

.inputSuccess {
  border-color: $color-accent-1;
  &:hover {
    border-color: $color-accent-1;
  }
  &:focus {
    border-color: $color-accent-1;
  }
}

.inputPassword {
  color: $color-medium;
}

.img {
  position: absolute;
  top: 14px;
  right: 20px;
  z-index: 1;
  width: 24px;
  height: 24px;
  cursor: pointer;
  animation: fade 5s ease-in-out infinite;
}

@keyframes fade {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}
